=== modified file 'plugin/mysql_protocol/net_serv.cc'
--- plugin/mysql_protocol/net_serv.cc	2011-06-07 21:22:49 +0000
+++ plugin/mysql_protocol/net_serv.cc	2011-06-09 13:21:38 +0000
@@ -79,7 +79,7 @@
   net->pkt_nr=net->compress_pkt_nr=0;
   net->write_pos=net->read_pos = net->buff;
   net->last_error[0]=0;
-  net->compress=0; net->reading_or_writing=0;
+  net->compress=0; 
   net->where_b = net->remain_in_buf=0;
   net->last_errno=0;
   net->unused= 0;
@@ -362,7 +362,6 @@
   if (net->error == 2)
     return(-1);                /* socket can't be used */
 
-  net->reading_or_writing=2;
   if (net->compress)
   {
     const uint32_t header_length=NET_HEADER_SIZE+COMP_HEADER_SIZE;
@@ -457,7 +456,6 @@
 end:
   if (net->compress)
     free((char*)packet);
-  net->reading_or_writing=0;
 
   return (int) (pos != end);
 }
@@ -484,7 +482,6 @@
 
   *complen = 0;
 
-  net->reading_or_writing= 1;
   /* Read timeout is set in drizzleclient_net_set_read_timeout */
 
   pos = net->buff + net->where_b;        /* net->packet -4 */
@@ -567,9 +564,7 @@
   }
 
 end:
-  net->reading_or_writing= 0;
-
-  return(len);
+  return len;
 }
 
 

=== modified file 'plugin/mysql_protocol/net_serv.h'
--- plugin/mysql_protocol/net_serv.h	2011-06-07 15:35:33 +0000
+++ plugin/mysql_protocol/net_serv.h	2011-06-09 13:21:38 +0000
@@ -25,10 +25,10 @@
 #define LIBDRIZZLE_ERRMSG_SIZE 512
 #define LIBDRIZZLE_SQLSTATE_LENGTH 5
 
-namespace drizzle_plugin
+namespace drizzle_plugin {
+
+typedef struct st_net 
 {
-
-typedef struct st_net {
   Vio *vio;
   unsigned char *buff,*buff_end,*write_pos,*read_pos;
   int fd;					/* For Perl DBI/dbd */
@@ -43,9 +43,7 @@
   unsigned int write_timeout;
   unsigned int read_timeout;
   unsigned int retry_count;
-  int fcntl;
   unsigned int *return_status;
-  unsigned char reading_or_writing;
   char save_char;
   bool compress;
   /*

=== modified file 'plugin/session_dictionary/sessions.cc'
--- plugin/session_dictionary/sessions.cc	2011-06-09 13:15:33 +0000
+++ plugin/session_dictionary/sessions.cc	2011-06-09 13:21:38 +0000
@@ -60,10 +60,6 @@
 {
 }
 
-Sessions::Generator::~Generator()
-{
-}
-
 bool Sessions::Generator::populate()
 {
   while (Session* tmp= session_generator)

=== modified file 'plugin/session_dictionary/sessions.h'
--- plugin/session_dictionary/sessions.h	2011-03-14 05:40:28 +0000
+++ plugin/session_dictionary/sessions.h	2011-06-09 13:21:38 +0000
@@ -38,7 +38,6 @@
 
   public:
     Generator(drizzled::Field **arg);
-    ~Generator();
 
     bool populate();
   };

